Create a Batch of Shipments

Create a batch of shipments and schedule it for processing.

Required authorization scopes: public.batch:write, public.shipment:write and public.label:write if a label(s) will be created during the batch processing.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Batch Shipments Create

defaults
object

Default settings for each shipment (can be override on the individual shipment)

shipments
array of objects
length between 1 and 1000
shipments

Shipment

uuid
uuid
uuid
destination_address
object
required
metadata
object

Set of key-value pairs that you can attach to a shipment. This can be useful for storing additional information about the object in a structured format

boolean

US addresses will be automatically validated when not specified. If specified, the validation will be bypassed.

string

The consignee's tax identification number or EIN. This is required for customs clearance when shipping to certain countries, such as China and Brazil.

string

The Electronic Export Identifier (EEI). This is required when shipping goods over USD2500 in value (Applies to US-outbound shipments only).

regulatory_identifiers
object

Seller's identifiers for various tax, import and export regulations.

buyer_regulatory_identifiers
object

Buyer's identifiers for various tax, import and export regulations.

string | null
enum
Defaults to DDU

Terms of Sale DDP: Seller pays all import duties/taxes. DDU: Buyer pays all import duties/taxes. null: No incoterm specified; defaults to DDU.

Allowed:
insurance
object | null

Insurance

order_data
object

Free-form data related to the eCommerce platform

courier_settings
object
shipping_settings
object
parcels
array of objects
required
length ≥ 1
parcels*

Parcel

number

Total weight of the shipment, including the box weight. If you provide the total weight of the shipment, then the weight for items can be optional.

box
object | null

The box dimensions for the shipment. If the box dimensions are provided, then dimensions for items are optional.

items
array of objects
length between 1 and 200

Array of all shipment items

items

Shipment Item based on Product

product
object
required
string
≤ 200

Description of the item

string

HS Code of the item. Required if category is not provided.

string | null
≤ 200

Item category name or slug. Required if hs_code is not provided. Use the Item Categories API to retrieve a list of available item categories.

integer
Defaults to 1

Item quantity

string
enum

Item currency. ISO-4217 three-letter alphabetic currency code (e.g. USD, EUR, GBP).

number

Item customs value, must be greater than 0 unless category is documents. Please note that this value refers to the unit rather than the total.

Responses

Language
Credentials
Bearer
token
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json